import { CAP_HTML_TO_IMAGE_BASE_URL } from '@/common/constant'
import { useRequest } from '@/use/useHttp'

/**
 * 线上获取在线支付二维码
 */
export const GetPayCode = () => {
  return useRequest({
    url: `/xima-caphtml/caphtml`,
    base_url: CAP_HTML_TO_IMAGE_BASE_URL,
    method: 'post',
  })
}

//本地获取二维码
// export const GetPayCode = () => {
//   return useRequest({
//     url: `/caphtml`,
//     base_url: CAP_HTML_TO_IMAGE_BASE_URL,
//     method: 'post',
//   })
// }

/**
 * 获取退款码单
 */
export const GetReturnPayCode = () => {
  return useRequest({
    url: `/xima-caphtml/caphtml-return`,
    base_url: CAP_HTML_TO_IMAGE_BASE_URL,
    method: 'post',
  })
}

// 本地获取退款码单
// export const GetReturnPayCode = () => {
//   return useRequest({
//     url: `/caphtml-return`,
//     base_url: CAP_HTML_TO_IMAGE_BASE_URL,
//     method: 'post',
//   })
// }
